#!/bin/bash

echo "***[$ADDON_NAME] Building vue views"

cd views_source
npm install
npm run build

echo "***[$ADDON_NAME] Building vue views. copying js, css, img, fonts to /static"
mkdir -p ../static
cp -r dist/js ../static
cp -r dist/css ../static
cp -r dist/fonts ../static
cp -r dist/img ../static
echo "OK"

echo "***[$ADDON_NAME] Building vue views. copying index.html to /templates"
cp dist/index.html ../templates
echo "OK"

echo "***[$ADDON_NAME] Building vue views. Removing files"
rm -r dist
echo "OK"